//
// Created by philipp on 02.12.17.
//

#include "Protocol.h"
#include <mutex>
#include <iostream>

namespace protocol
{
    static std::mutex logMutex;
}

void protocol::log(const std::string & msg)
{
    std::lock_guard<std::mutex>(protocol::logMutex);
    std::cout << msg << std::endl;
}