//
// Created by philipp on 29.11.17.
//

#ifndef PROTOCOL_PLATOONINGPROTOCOL_H
#define PROTOCOL_PLATOONINGPROTOCOL_H

#include <cstdint>
#include <string>

#define PROTOCOL_DEBUG

#if defined(PROTOCOL_DEBUG)
#define PROTOCOL_LOG(msg) protocol::log(std::string(msg))
#else
#define PROTOCOL_LOG(msg)
#endif

namespace protocol
{
using VehicleId = std::uint32_t;
using MessageType = std::uint8_t;
using PlatoonId = std::uint32_t;

void log(const std::string & msg);

}

#endif //PROTOCOL_PLATOONINGPROTOCOL_H
